### Constructor

# Gtk SignalListItemFactory new

#### Declaration [src]

    GtkListItemFactory*
    gtk_signal_list_item_factory_new (
      void
    )

#### Description [src]

Creates a new `GtkSignalListItemFactory`.

You need to connect signal handlers before you use it.

#### Return value

Returns: | `GtkListItemFactory`
| A new `GtkSignalListItemFactory`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.